.PHONY: clean

#binaries
PYUIC = pyuic5
PYRCC = pyrcc5

#Directory with ui files
RESOURCE_DIR = resources/_ui

#Directory for compiled resources
COMPILED_DIR = nmreval/gui_qt/_py

#UI files to compile, uses every *.ui found in RESOURCE_DIR
UI_FILES = $(foreach dir, $(RESOURCE_DIR), $(notdir $(wildcard $(dir)/*.ui)))
COMPILED_UI = $(UI_FILES:%.ui=$(COMPILED_DIR)/%.py)

SVG_FILES = $(foreach dir, $(RCC_DIR), $(notdir $(wildcard $(dir)/*.svg)))
PNG_FILES = $(SVG_FILES:%.svg=$(RCC_DIR)/%.png)

all : ui
 
ui : $(COMPILED_UI)

rcc:  $(PNG_FILES)

 
$(COMPILED_DIR)/%.py : $(RESOURCE_DIR)/%.ui
	$(PYUIC) $< -o $@
# 	replace import of ressource to correct path
#	@sed -i s/images_rc/nmrevalqt.$(COMPILED_DIR).images_rc/g $@
#	@sed -i /images_rc/d $@
	
$(RCC_DIR)/%.png : $(RCC_DIR)/%.svg
	convert -background none $< $@
	$(PYRCC) $(RCC_DIR)/images.qrc -o $(COMPILED_DIR)/images_rc.py

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

